%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  PHYS 210  Fall 2009
%
%  Term Project Component - Galaxy Merger Driver
%  
%  Generate galaxy merger with the following specification
%	- number of stars
%   - radius of the bulge
%	- radius of the disk
%   - inclination of the disk theta and phi in sphereical coordinates
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Turn off the paging of standard output so that messages appear 
% immediately on the screen instead of being buffered.
more off;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Acquiring inputs from user
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%  Enable(1)/Disable(0) the user prompt 
prompt = input('Custom input values?(0/1)');

if prompt
%  User prompt
Gm = input ('Mass of bulge:');
Gp = input ('Position of bulge[x x x]:');
Gv = input ('velocity of bulge[x x x]:');
Gn = input ('Number of stars:');
GR = input ('Radius of the disk:');
Gr = input ('Radius of the bulge:');
Gtheta = input ('Theta:');
Gphi = input ('Phi:');
tmax = input ('Max. time:');
level = input ('Level:');
soft = input ('Softening:');
vert = input ('Number of vertices:');
%out = input ('Output data to file?');
fname = input ('File name'xxx':');
end

if prompt
[r tn T P E] = Gmod(Gm,  Gp,  Gv,  Gn,  Gr,  GR,  Gtheta, Gphi,
  tmax, level, soft, vert, out, fname)
else
[r tn T V E] = Gmod(1000, [0 0 0], [0 0 0], 1000, 3, 100, 4*pi/8, 4*pi/8,
			200, 9, 0.1, 12, 1, 0);
endif


fprintf('\nDone!!\n\n');
